import React from "react";
interface ICustomSearchPro {
    defaultConfig?: any;
    searchFields: any[];
    handleSubmit?: (config: any) => void;
}
interface IState {
    seleceted: any;
    renderindex: number;
}
export default class CustomSearch extends React.Component<ICustomSearchPro, IState> {
    nameMap: any;
    fields: any[];
    current: any;
    search: any;
    selectedItem: any;
    constructor(props: ICustomSearchPro);
    renderFields(rowName: any): {
        twview: string;
        placeholder: string;
        optionstype: string;
        name: any;
        options: {
            value: any;
            label: any;
        }[];
        style: {
            flex: string;
        };
    };
    renderOperateTool(): React.JSX.Element;
    setNampMap(): void;
    componentDidMount(): void;
    renderOperate(field: any): any;
    renderFormOne(field: any): React.JSX.Element;
    renderOne: (item: any) => React.JSX.Element;
    getValues(): {
        search: {};
        condition: any;
    };
    renderForm(): React.JSX.Element;
    render(): React.JSX.Element;
}
export {};
